Bug 202537 - [patch] deskutils/parcellite: fix build without NLS
Summary: [patch] deskutils/parcellite: fix build without NLS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-08-20 23:17 UTC by Andriy Voskoboinyk
Modified: 2016-05-07 16:39 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (koalative)


Attachments
Remove unneeded copies of extrapatch-configure.ac (6.22 KB, patch)
2015-08-20 23:17 UTC, Andriy Voskoboinyk
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andriy Voskoboinyk freebsd_committer 2015-08-20 23:17:16 UTC
Created attachment 160160 [details]
Remove unneeded copies of extrapatch-configure.ac
Comment 1 Philip M. Gollucci freebsd_committer 2015-08-21 21:02:03 UTC
Take.
Comment 2 commit-hook freebsd_committer 2015-08-21 21:06:53 UTC
A commit references this bug:

Author: pgollucci
Date: Fri Aug 21 21:06:19 UTC 2015
New revision: 394993
URL: https://svnweb.freebsd.org/changeset/ports/394993

Log:
  deskutils/parcellite: fix build without NLS

  - Remove unneeded copies of extrapatch-configure.ac

  PR:                  202537
  Submitted by:        s3erios@gmail.com
  Approved by:         (shouldve been in previous patch)

Changes:
  head/deskutils/parcellite/files/extrapatch-configure.ac
Comment 3 Bartek Rutkowski freebsd_committer 2016-04-27 11:20:01 UTC
Seems like this is already fixed and there's no action on it for a while, so I'm closing this PR.
Comment 4 elferdo 2016-05-07 16:39:33 UTC
Hi,

Sorry to reopen this PR, I am having problems building parcellite.

I just updated my ports tree with portsnap and tried to update parcellite. The build failed with the following message:

===>  Patching for parcellite-1.1.9,1
===>  Applying extra patch /usr/ports/deskutils/parcellite/files/extrapatch-configure.ac
cat: /usr/ports/deskutils/parcellite/files/extrapatch-configure.ac: No such file or directory
  I can't seem to find a patch in there anywhere.
*** Error code 2


Looking at the Makefile I see:

NLS_EXTRA_PATCHES_OFF=  ${PATCHDIR}/extrapatch-configure.ac

so it seems that building without NLS is not fixed yet.